DefaultModelServiceDescriptor (Mule ESB 2.2.1 API)
Keywords: org.mule.model.DefaultModelServiceDescriptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model
Class DefaultModelServiceDescriptor

    java.lang.Object
      org.mule.api.registry.AbstractServiceDescriptor
          org.mule.model.DefaultModelServiceDescriptor

All Implemented Interfaces:
  ModelServiceDescriptor, ServiceDescriptor

    public class DefaultModelServiceDescriptor

extends AbstractServiceDescriptor
implements ModelServiceDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.api.registry.AbstractServiceDescriptor
`AbstractServiceDescriptor.Key`

Field Summary

Fields inherited from class org.mule.api.registry.AbstractServiceDescriptor
`logger, service`

Constructor Summary
`DefaultModelServiceDescriptor(String service, Properties properties)`

Method Summary
`Model` | `createModel()`
`Class` | `getModelClass()`

Methods inherited from class org.mule.api.registry.AbstractServiceDescriptor
`getService, removeClassProperty, removeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.registry.ServiceDescriptor
`getService`

Constructor Detail

### DefaultModelServiceDescriptor

    public DefaultModelServiceDescriptor(String service,
                                         Properties properties)

Method Detail

### createModel

    public Model createModel()
                      throws ServiceException

  Specified by:
    `createModel` in interface `ModelServiceDescriptor`
  Throws:
    `ServiceException`

### getModelClass

    public Class getModelClass()
                        throws ServiceException

  Specified by:
    `getModelClass` in interface `ModelServiceDescriptor`
  Throws:
    `ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.